Subject: RE: [SIP] Provisional responses in other direction

From: [email-masked]
Date: Tue, 3 Oct 2000 09:15:36 -0500

One problem is that there may not be a tag and a route yet. Take a look at
http://lists.bell-labs.com/pipermail/sip/2000q2/000006.html. You can send
the INFO before you've got a tag, but then you're taking your chances, and
the INFO may not get to the right place.

A second problem is that SIP doesn't provide a general mechanism for
ordering messages. An INFO will have a new CSeq, but any responses to the
INVITE will not, and nor will the ACK, so the UA receiving the INFO will not
be able to tell if it has been received out of order with respect to a
response to the INVITE or an ACK. A UAS that was concerned about this issue
could wait until the INFO or response (assuming the use of PRACKs) had been
acknowledged before sending the next message.

I wonder if a UAS should use 183 rather than INFO to send any attachments
before the INVITE transaction is complete(?). The UAC, though, has no choice
other than INFO. What call flows are you looking at that require the early
INFOs?

> -----Original Message-----
> From: EXT Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Tuesday, October 03, 2000 2:48 AM
> To: [email-masked]
> Cc: [email-masked]; Steve Donovan
> Subject: Re: [SIP] Provisional responses in other direction
> 
> 
> Hi,
> 
> [email-masked] wrote:
> > 
> > Hi,
> > 
> > I have a question about a SIP/PSTN issue.
> > 
> > When the caller sends an INVITE, he may include a ISUP MIME 
> message body
> > in the request, and the callee may send back ISUP MIMEs in the 18x-
> > and/or 200 responses. But, what happens if the caller wants 
> to send more
> > ISUP MIMEs before he has received the final response for the INVITE?
> > re-INVITEs should not be used before the final response to the first
> > INVITE has been received, and PRACK can not be used since 
> we don't know
> > when/if there is going to be a ISUP MIME to be sent.
> > 
> > One solution would be to use the INFO method, but is it 
> allowed to use
> > INFO before the session has been completely established?
> 
> 
> I believe that as soon as you receive the INVITE with a contact header
> you can send INFO back to the caller. You do not have to wait 
> until the
> session is established (200 OK for the INVITE) for sending INFO. It is
> true that it is said in the draft that INFO is used for mid-session
> signalling, but I do not see a reason for avoiding sending it in the
> middle of the session establishment (before 200 OK has been sent).
> 
> Does anybody see any reason that I might be missing?
> 
> These INFO messages sent before the 200 OK for the INVITE can be used
> for tranfering ISUP messages from the callee to the caller before the
> ACM.
> 
> Gonzalo
> 
> 
> 
> 
> 
> 
> 
> 
> > 
> > Regards,
> > 
> > Christer Holmberg
> > Ericsson Finland
> 
> -- 
> Gonzalo Camarillo         Phone :  +358  9 299 33 71
> Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
> Telecom R&D               Fax   :  +358  9 299 30 52
> FIN-02420 Jorvas          Email :  [email-masked]
> Finland                   http://www.hut.fi/~gonzalo
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip